diff --git a/subsys/net/ip/tcp2.c b/subsys/net/ip/tcp2.c
index cd5349d85233..36d6b191d1ef 100644
--- a/subsys/net/ip/tcp2.c
+++ b/subsys/net/ip/tcp2.c
@@ -1186,11 +1186,16 @@ static struct tcp *tcp_conn_new(struct net_pkt *pkt)
 static void tcp_in(struct tcp *conn, struct net_pkt *pkt)
 {
 	struct tcphdr *th = pkt ? th_get(pkt) : NULL;
-	uint8_t next = 0, fl = th ? th->th_flags : 0;
+	uint8_t next = 0, fl = 0;
 	size_t tcp_options_len = th ? (th->th_off - 5) * 4 : 0;
 	size_t len;
 	int ret;
 
+	if (th) {
+		/* Currently we ignore ECN and CWR flags */
+		fl = th->th_flags & ~(ECN | CWR);
+	}
+
 	k_mutex_lock(&conn->lock, K_FOREVER);
 
 	NET_DBG("%s", log_strdup(tcp_conn_state(conn, pkt)));
diff --git a/subsys/net/ip/tcp2_priv.h b/subsys/net/ip/tcp2_priv.h
index ae47f7ff8436..6ba181f04cbb 100644
--- a/subsys/net/ip/tcp2_priv.h
+++ b/subsys/net/ip/tcp2_priv.h
@@ -142,6 +142,8 @@ enum th_flags {
 	PSH = 1 << 3,
 	ACK = 1 << 4,
 	URG = 1 << 5,
+	ECN = 1 << 6,
+	CWR = 1 << 7,
 };
 
 enum tcp_state {
